---
search:
  tags:
    - clusters
    - PUT
seo:
  description: >-
    Updates a cluster's settings. Reference for the PUT /cluster/{cluster_id}
    endpoint in the Platform API.
sidebar:
  label: Update a cluster
  badge: PUT
title: Update a cluster
type: openapi-operation
---
Updates a cluster's settings.

`PUT /cluster/{cluster_id}`

**Request body** (`application/json`, required)

- `name` (string) — The name of the cluster.
- `kube_config` (string) — The base64-encoded Kubernetes configuration for the cluster.

Request body example:

```json
{
  "name": "my-production-cluster",
  "kube_config": "YXBpVmVyc2lvbjogdjEKY2x1c3RlcnM6Ci0gY2x1c3RlcjoKICAgIGNlcnRpZmljYXRlLWF1dGhvcml0eS1kYXRhOiBMUzB0TFMxQ1JVZEpUaUJEUlZKVVNVWkpRMEZVUlMwdExTMHQ="
}
```

**Responses**

- `200` — Cluster updated successfully
- `default` — Error

Response example, 200:

```json
{
  "cloud_provider": "aws",
  "created_at": "2025-06-10T22:16:02Z",
  "deleted_at": "2025-06-10T22:16:02Z",
  "id": "7362e0d0-72ed-c77b-5c42-f9af9d52fd5f",
  "name": "zKC",
  "organization_id": "7a60f26d-0106-02f5-ccf5-98b7c4cdc513",
  "state": "INITIALIZED",
  "update_at": "2025-06-10T22:16:02Z"
}
```
